package org.springblade.audit.listener;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import lombok.extern.slf4j.Slf4j;
import org.springblade.audit.dto.CwBalanceDetailDTO;
import org.springblade.audit.dto.CwFactIncomeDTO;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Slf4j
@Component
public class CwFactIncomeListener extends AnalysisEventListener<CwFactIncomeDTO> {

	public List<CwFactIncomeDTO> list = new ArrayList<CwFactIncomeDTO>();

	public boolean sysHead = true;

	public List<String> theMonth = new ArrayList<String>();

	public CwFactIncomeListener() {
	}

	@Override
	public void invokeHeadMap(Map<Integer, String> headMap, AnalysisContext context) { }

	@Override
	public void invoke(CwFactIncomeDTO t, AnalysisContext analysisContext) {
		list.add(t);
	}

	@Override
	public void doAfterAllAnalysed(AnalysisContext analysisContext) {
	}


}
